#ifndef _H_UTIL_H
#define _H_UTIL_H

#include <SDL_video.h>
#include <random>

namespace UTIL
{
	constexpr float INF_TIME = -99.6875f;

	void flip_surface(SDL_Surface* surface);

	class RandomGenerator
	{
	public:
		RandomGenerator(float min, float max) :
			rd(),
			gen(rd()),
			dist(min, max) {};
		float genFloat() { return dist(gen); }
	private:
		std::random_device rd;
		std::mt19937 gen;
		std::uniform_real_distribution<float> dist;
	};
}

#endif // _H_UTIL_H